Bug 444783 - python-nltk_lite does not contain wordnet data
python-nltk_lite does not contain wordnet data
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-nltk_lite (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 11:22 EDT by David Fraser
Modified: 2009-01-09 01:27 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:27:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Fraser 2008-04-30 11:22:04 EDT
Description of problem:
The Python nltk_lite package contains a nltk.wordnet subpackage, which requires
the wordnet database. However, this is not included in or required by the install.

Version-Release number of selected component (if applicable):
python-nltk_lite-0.9-0.1.b2.fc8

How reproducible:
Consistently

Steps to Reproduce:
1. yum install python-nltk_lite
2. python -c 'from nltk.wordnet import dictionary ; dictionary.getWord("hello")'
  
Actual results:
LookupError:
**********************************************************************
  Resource 'corpora/wordnet/index.noun' not found.  For
  installation instructions, please see
  <http://nltk.org/index.php/Installation>.


Expected results:
Some kind of description of the word 'Hello'

Additional info:
The full ntlk data set is large - 75MB. I don't know if it can be cut down etc,
but without it this package doesn't really work...
Comment 1 Michel Alexandre Salim 2008-05-03 00:09:48 EDT
Ah yes. As I remember, the first time I packaged nltk, I intended to package the
data set, but there were licensing problems. I'll look into the issue again
(perhaps split the dataset into -free and -nonfree) -- pending that, I might
just add a README.Fedora giving people pointers to the data set.

Thoughts?
Comment 2 Bug Zapper 2008-11-26 05:36:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:27:14 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.